<template>
	<div class="vault-info" v-on:click.self="$emit('closevaultinfo')">
		<div class="inner">
			<div class="title hustle">{{getLocale('vault_start_title')}}</div>
			<div class="message">{{getLocale('vault_start_message')}}</div>
			
			<div class="flex">
				<div class="info">
					<div class="difficulty flex space">
						<div class="bold">{{getLocale('difficulty')}}</div>
						<div v-if="vault_data.difficulty == 1">{{getLocale('easy')}}</div>
						<div v-else-if="vault_data.difficulty == 2">{{getLocale('medium')}}</div>
						<div v-else>{{getLocale('hard')}}</div>
					</div>
					<div class="required-stats">
						<div class="bold">{{getLocale('required_stats')}}</div>
						<div class="stat flex space" v-for="stat in vault_data.avaiable_stats">
							<div class="name">{{getLocale(stat)}}</div>
							<div class="value">{{vault_info.vairus.current_stats[stat].total}}</div>
						</div>
					</div>
				</div>
				
				<div class="vairus">
					<vairus-card v-if="vault_info.vairus"
						:vairus="vault_info.vairus"
						:highlighted="false"
						:show_footer="false"
						:show_mutation="false"
						:stats="true"
						@clicked="$emit('choosevairusforvault')"
					></vairus-card>
				</div>
			</div>
			
			<div class="actions start">
				<div class="button" v-on:click="$emit('choosevairusforvault')">{{getLocale('change_vairus')}}</div>
				<div class="button" v-on:click="$emit('startvault')">{{getLocale('start')}}</div>
			</div>
		</div>
	</div>
</template>


<script>
	import VairusCard from '../components/VairusCard.vue';
	import { commonMixin } from '../mixins/common.js';
	
	export default {
		props: ['vault_info','vault_data'],
		mixins: [commonMixin],
		components: {
			VairusCard
		}
	}
</script>


<style lang="scss" scoped>
	.vault-info{
		position: fixed;
		top: 0;
		left: 0;
		width: 100%;
		height: 100%;
		z-index: 2147483647;
		
		.inner{
			position: absolute;
			top: 50%;
			left: 50%;
			width: 450px;
			transform: translate(-50%,-50%);
			padding: 20px;
			background-color: black;
			color: white;
			border: 1px solid white;
				
			.title{
				font-size: 35px;
				text-align: center;
				margin-bottom: 10px;
			}
			
			.message{
				padding-bottom: 20px;
			}
			
			> .flex{
				padding: 10px 0;
				border-top: 1px solid white;
				border-bottom: 1px solid white;
			}
			
			.info{
				width: 150px;
				
				.difficulty{
					padding: 10px 0;
				
				}
				.required-stats{
					padding: 10px 0;
					
					.stat{
						margin-top: 10px;
					}
					.bold{
						margin-bottom: 20px;
					}
				}
			}
			
			.vairus{
				width: 200px;
				margin-left: auto;
				margin-right: 0;
			}
			
			.vault-info .actions{
				text-align: center;
				
				.vault-info .button{
					margin-right: 40px;
				}
			}
			.vault-info .start{
				margin-top: 20px;
			}
		}
	}
</style>

